<div class="content bg-gradient-danger-duo">
    <div class="container-fluid px-4 px-md-5 pb-3 pt-5 py-md-4">
        <div class="row-title align-text-bottom">
            <h4 id="title" class=" text-white">Nuevo Usuario</h4>
        </div>
        <!-- Page content -->
        <div class="container-fluid px-4 px-md-5 pb-3 pb-md-4">
            <div class="card shadow p-3">
                <form [formGroup]="newUsers" novalidate (ngSubmit)="onSubmit()">
                    <div class="pl-lg-4">
                        <div class="row">
                            <!-- <div class="col-lg-6">
                            <div class="form-group">
                                <div class="input-group input-group-alternative mb-3">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">
                                            <mat-icon class="coloricon" color="#D8262F">layers</mat-icon>
                                        </span>
                                    </div>
                                    <mat-select formControlName="typeuser" class="form-control" name="typeuser">
                                        <mat-option>--Seleccione--</mat-option>
                                        <mat-option value="Administrador">Administrador</mat-option>
                                        <mat-option value="Agente">Agente</mat-option>
                                        <mat-option value="Soporte">Soporte</mat-option>
                                        <mat-option value="Usuario">Usuario</mat-option>
                                    </mat-select>
                                </div>
                                <div class="alert alert-danger" [hidden]="typeuser.valid || typeuser.pristine">
                                    Selecione el tipo de usuario
                                </div>
                            </div>
                        </div> -->
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <div class="input-group input-group-alternative mb-3">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">
                                                <mat-icon class="coloricon" color="#d3cece">account_circle</mat-icon>
                                            </span>
                                        </div>
                                        <input formControlName="nameu" class="form-control" name="nameu"
                                            placeholder="Nombre" type="text">
                                    </div>
                                    <!-- <div class="alert alert-danger" [hidden]="nameu.valid || nameu.pristine">
                                        El nombre es obligatorio
                                    </div> -->
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <div class="input-group input-group-alternative mb-3">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">
                                                <mat-icon class="coloricon" color="#d3cece">alternate_email</mat-icon>
                                            </span>
                                        </div>
                                        <input formControlName="email" class="form-control" name="email"
                                            placeholder="Correo" type="email">
                                    </div>
                                    <div>
                                        <!-- <span *ngIf="email.errors?.['valid']">
                                            El email es obligatorio
                                        </span>
                                        <span *ngIf="email.errors?.['email']">
                                            El email debe ser valido
                                        </span> -->
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <div class="input-group input-group-alternative mb-3">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">
                                                <mat-icon class="coloricon" color="#d3cece">lock_open</mat-icon>
                                            </span>
                                        </div>
                                        <input formControlName="pass" class="form-control" name="pass"
                                            placeholder="Contraseña" type="password">
                                    </div>
                                    <!-- <div class="alert alert-danger" [hidden]="pass.valid || pass.pristine">
                                        La contraseña es obligatoria
                                    </div> -->
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="text-center">
                        <button mat-flat-button type="button" class="btn btn-success me-2"><mat-icon
                                class="me-2">check</mat-icon>Crear usuario</button>
                        <button mat-flat-button type="button" [routerLink]="['/users']"
                            class="btn btn-danger me-2"><mat-icon class="me-2">close</mat-icon>Cancelar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>